<?php
header('Access-Control-Allow-Origin: *');
require_once('../ecologram.php');
$eg->check_token();
/** USERS **/
if(isset($_GET['list_users'])){
	header('content-Type: text/json');
	$arg=array(
		'page'=>$_GET['page'],
		'status'=>$_GET['status']
	);
	if(isset($_GET['minid'])) $arg['minid']=$_GET['minid'];
	if(isset($_GET['per_page'])) $arg['per_page']=$_GET['per_page'];
	$users = $eg->list_users($arg);
	echo json_encode($users);
	exit;
}

/** MODERATION **/
if(isset($_GET['mod']) && is_numeric($_GET['mod']) && isset($_GET['id']) && is_numeric($_GET['id']) && isset($_GET['type'])){
	if($_GET['type']=='user'){
		echo $eg->moderate_user($_GET['id'],$_GET['mod'],1);
	}
	elseif($_GET['type']=='item'){
		echo $eg->moderate_item($_GET['id'],$_GET['mod']);
	} 
	exit;
}

/** DELETION **/
if(isset($_GET['del']) && isset($_GET['id']) && is_numeric($_GET['id']) && isset($_GET['type'])){
	if($_GET['type']=='user'){
		echo $eg->del_user($_GET['id'],1);
	}
	elseif($_GET['type']=='item'){
		echo $eg->del_item($_GET['id']);
	} 
	exit;
}

/** SNAPSHOT **/
if(isset($_GET['snapshot']) && is_numeric($_GET['snapshot'])){
	$item = $eg->get(array('item_id'=>$_GET['snapshot']));
	if(sizeof($item)==1){
		$item=$item[0];
		if(isset($item->expanded_url) && isset($item->media_url) && $item->expanded_url!='' && $item->media_url==''){
			$saved_file = snapshot_call_p2i($item->expanded_url,$eg->config['snapshot']['apikey'], $eg->config['snapshot']['api_url']);
			$q = "UPDATE `".$eg->config['db_prefix']."items` SET `media_url` = '$saved_file' WHERE `".$eg->config['db_prefix']."items`.`id` = '".$item->id."'";
			$r = mysqli_query($eg->mysqli,$q);
			echo json_encode(array('media_url'=>$saved_file));
			exit;
		}
		
	}
	echo '0';
	exit;
}


/** ITEMS **/
if(isset($_GET['list_items']) && isset($_GET['page'])){
	header('content-Type: text/json');
	$arg=array(
		'page'=>$_GET['page'],
		'status'=>isset($_GET['status'])?$_GET['status']:''
	);
	if(isset($_GET['minid'])) $arg['minid']=$_GET['minid'];
	if(isset($_GET['per_page'])) $arg['per_page']=$_GET['per_page'];
	if(isset($_GET['username'])) $arg['username']=$_GET['username'];
	if(isset($_GET['network'])) $arg['network']=$_GET['network'];
	if(isset($_GET['item_id'])) $arg['item_id']=$_GET['item_id'];
	$items = $eg->get($arg);
	echo json_encode($items);
	exit;
}

/** NETWORKS APP **/
if(isset($_GET['network']) && isset($_GET['app'])){
	if(is_file('../includes/networks/'.$_GET['network'].'/'.$_GET['app'].'.php')){
		include('../includes/networks/'.$_GET['network'].'/'.$_GET['app'].'.php');
	}
}
