<?php
header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Methods: GET, POST, OPTIONS, PROPFIND, PROPPATCH, REPORT, PUT, MOVE, DELETE, LOCK, UNLOCK');
header('Access-Control-Allow-Headers: User-Agent, Authorization, Content-type, Depth, If-match, If-None-Match, Lock-Token, Timeout, Destination, Overwrite, X-client, X-Requested-With');
header('Access-Control-Expose-Headers: Etag');
require('ecologram.php'); 

if(isset($_REQUEST['s']) && isset($_REQUEST['t']) && isset($_REQUEST['object'])){
	$eg->check_token();
	switch($_REQUEST['object']){
            // GET
            case 'post':
                if(!isset($_GET['type']) || $_GET['type']==='get'){
                    $param=array();
                    $defaults=array( 'network','username','status','after','before','minid','maxid','item_id','pub_id','order','order_by','per_page','page','i');
                    foreach($defaults as $k){
                        if(isset($_REQUEST[$k])){
                            $param[$k]=$_REQUEST[$k];
                        }
                    }
                    $posts=$eg->get($param);
                    die(json_encode($posts));
                }
                elseif(isset($_GET['type']) && $_GET['type']==='add'){
                    $param=array(
				'text'=>isset($_REQUEST['text'])?$_REQUEST['text']:'',
				'username'=>isset($_REQUEST['username'])?$_REQUEST['username']:'',
				'network'=>isset($_REQUEST['network'])?$_REQUEST['network']:'',
				'pub_id'=>isset($_REQUEST['pub_id'])?$_REQUEST['pub_id']:'',
				'url'=>isset($_REQUEST['url'])?$_REQUEST['url']:'',
				'date'=>isset($_REQUEST['date'])?$_REQUEST['date']:'',
				'media_url'=>isset($_REQUEST['media_url'])?$_REQUEST['media_url']:'',
				'expanded_url'=>isset($_REQUEST['expanded_url'])?$_REQUEST['expanded_url']:'',
				'pub_lat'=>isset($_REQUEST['pub_lat'])?$_REQUEST['pub_lat']:'',
				'pub_lon'=>isset($_REQUEST['pub_lon'])?$_REQUEST['pub_lon']:'',
				'user_avatar'=>isset($_REQUEST['user_avatar'])?$_REQUEST['user_avatar']:'',
				'user_description'=>isset($_REQUEST['user_description'])?$_REQUEST['user_description']:'',
				'user_city'=>isset($_REQUEST['user_city'])?$_REQUEST['user_city']:''
			);
                    //if(isset($_GET['debug'])){
                       // print_r($_REQUEST);
                    //}
                    $post_id = $eg->add($param);
                    
                    if($post_id!==false){
                        die(json_encode($eg->get(array('item_id'=>$post_id))));
                    }
                    die(json_encode(array('success'=>false)));
                }
                elseif(isset($_GET['type']) && $_GET['type']==='stat'){
                    $req="SELECT COUNT(`id`) FROM `".$eg->config['db_prefix']."items` WHERE ".$eg->db_where()." `status`='1' ";
                    if($res = mysqli_query($eg->mysqli,$req)){
                        $stat = mysqli_fetch_array($res);
                        die($stat[0]);
                    }   
                    die(0);
                }
                break;
            case 'user':
                $param=array();
                $defaults = array('network','status','minid','maxid','order','order_by','per_page','page');
                foreach($defaults as $k){
                    if(isset($_REQUEST[$k])){
                        $param[$k]=$_REQUEST[$k];
                    }
                }
                $users=$eg->list_users($param);
                die(json_encode($users));
                break;
        }
}

exit;
