<?php
require('../ecologram.php');
$eg->check_token();
if('admin.'.$eg->server_name!==$_SERVER['SERVER_NAME']){
    header('location: '.$eg->server_protocol.'://admin.'.$eg->server_name.$eg->config['base_path'].'admin?s='.$eg->session->name.'&t='.$eg->session->token);
    exit();    
}
?><!DOCTYPE >
<html>
	<head>
		<link rel="stylesheet" href="ecologram.css" />
		<link rel="stylesheet" href="dashicons.min.css" />
                <link rel="shortcut icon" href="<?=$eg->base_url?>/img/slideyournet-icon.png" /> 
                <link rel="apple-touch-icon" href="<?=$eg->base_url?>/img/slideyournet-icon.png"/> 
                <link href="//cdn.rawgit.com/noelboss/featherlight/master/release/featherlight.min.css" type="text/css" rel="stylesheet" title="Featherlight Styles" />
		<title><?=$eg->session->name?> - <?=$eg->title?></title>
        </head>
	<body id="admin-index" class="row-fluid">
		<h1><?=$eg->session->name?> - <?=$eg->title?></h1>
		<input id="adminlink" type="text" value="<?=$eg->server_protocol?>://<?=$eg->server_name.$eg->config['base_path'].'admin?s='.$eg->session->name.'&t='.$eg->session->token;?>" onfocus="this.select()"/>
		<div class="column w20">
			<h2><?php _e('Users')?></h2>
			<div class="column_wrap">
			<ul id="users">
				
			</ul>
			</div>
			<a class="more" data-action="users" id="more_users"><?php _e('More')?></a>
		</div>
		<div class="column w0" id="userinfo"></div>
		<div class="column w80" id="itemszone">
                    <h2><?php _e('Items')?> <span id="itemsstat"></span></h2>
			<div id="shown">
				<button><?php _e('Currently displayed')?></button>
				<ul id="displayed" class="items_list">
					
				</ul>
			</div>
			<div class="column_wrap">
			<ul id="items" class="items_list">
				
			</ul>
			</div>
			<a class="more" data-action="items" id="more_items"><?php _e('More')?></a>
		</div>
		<div id="admin">
			
			<a id="adminvswitch" class="dashicons dashicons-admin-generic"> </a>
			
            <div id="panel">
            	<div>
                    <label><?php _e('Size')?>
                    <select id="as">
                        <option value="0.5"><?php _e('Ultra slim')?></option>
                        <option value="0.6"><?php _e('Slim')?></option>
                        <option value="0.7"><?php _e('Small')?></option>
                        <option value="0.8" selected><?php _e('Normal')?></option>
                        <option value="0.9"><?php _e('Large')?></option>
                        <option value="1"><?php _e('Big')?></option>
                        <option value="1.1"><?php _e('Mole')?></option>
                    </select>
                    </label>
                </div>
                <div>
                    <label><?php _e('Refresh users')?>
                    <select id="rur">
                        <option value="5">5 sec.</option>
                        <option value="10">10 sec.</option>
                        <option value="20">20 sec.</option>
                        <option value="30" selected>30 sec.</option>
                        <option value="60">1 min.</option>
                        <option value="120">2 min.</option>
                        <option value="600">10 min.</option>
                    </select>
                    </label>
                </div>
                <div>
                    <label><?php _e('Refresh items')?>
                    <select id="rir">
                        <option value="5">5 sec.</option>
                        <option value="10">10 sec.</option>
                        <option value="20" selected>20 sec.</option>
                        <option value="30">30 sec.</option>
                        <option value="60">1 min.</option>
                        <option value="120">2 min.</option>
                        <option value="600">10 min.</option>
                    </select>
                    </label>
                </div>
                <iframe id="networks_admin" src="networks.php?s=<?=$eg->session->name?>&t=<?=$eg->session->token?>"></iframe>
             </div>
            
		</div>
		 
    <?php $eg->admin_scripts(); ?>   
			
	</body>
</html>
