<?php
require('../ecologram.php');
$eg->check_token();
$eg->admin_post();

?>
<!DOCTYPE >
<html id="admin-networks-html">
    <head>
        <link rel="stylesheet" href="ecologram.css" />
		<link rel="stylesheet" href="dashicons.min.css" />
        <title>EcoloGram</title>
    </head>
    <body id="admin-networks" class="row-fluid">
        <form action="networks.php?s=<?=$eg->session->name?>&t=<?=$eg->session->token?>" method="post">
        <div>
	        <label>
	            <?php _e('Moderation level'); ?>
	            <select name="session[mod]">
	                <option value="0" <?=($eg->session->mod==0?'selected':'')?>><?php _e('Smooth'); ?></option>
	                <option value="1" <?=($eg->session->mod==1?'selected':'')?>><?php _e('Normal'); ?></option>
	                <option value="2" <?=($eg->session->mod==2?'selected':'')?>><?php _e('Hard'); ?></option>
	            </select>
	        </label>
        </div>
        <div>
	        <label>
	            <?php _e('SnapShot URLs'); ?>
	            <select name="session[snapshot]">
	                <option value="0" <?=($eg->session->snapshot==0?'selected':'')?>><?php _e('No'); ?></option>
	                <option value="1" <?=($eg->session->snapshot==1?'selected':'')?>><?php _e('Yes'); ?></option>
	            </select>
	        </label>
        </div>
        <div>
	        <label>
	            <?php _e('Allow duplicate content ?'); ?>
	            <select name="session[duplicate]">
	                <option value="0" <?=($eg->session->duplicate==0?'selected':'')?>><?php _e('No'); ?></option>
	                <option value="1" <?=($eg->session->duplicate==1?'selected':'')?>><?php _e('Yes'); ?></option>
	            </select>
	        </label>
        </div>
        <?php foreach($eg->networks as $network=>$attributes) : ?>
        <div class="network_fieldset">
            
             <label class="onoff">
		            <input type="checkbox" name="networks_status[<?=$network?>]" <?php echo($attributes['status']==true?'checked':''); ?> value="1">
		            <?php _e('On/Off')?>
	         </label>
            <h2><?=$network?> <span class="dashicons dashicons-admin-tools"></span></h2>
            <?php  foreach($attributes['settings'] as $option_name=>$option_attr): ?>
                <label class="network_settings_field <?=(isset($option_attr->hidden_by_default)&&$option_attr->hidden_by_default==true?'hidden_by_default':'')?>">
                    <?=$option_attr->label?>
                    
                    
                    <?php if($option_attr->type=='select'): /////////////////////////////// SELECT ?>
                    	<select name="networks[<?=$network?>][<?=$option_name?>]" >
                    		<?php foreach($option_attr->values as $key=>$description): ?>
                    			<option value="<?=$key?>" <?=(isset($attributes['options'][$option_name]) && $key==$attributes['options'][$option_name]?'selected':'')?>><?=$description?></option>
                    		<?php endforeach; ?>
                    	</select>
                    <?php else: /////////////////////////////////////////////////////////// DEFAULT ?>
                    	<input type="<?=$option_attr->type?>" name="networks[<?=$network?>][<?=$option_name?>]" value="<?=(isset($attributes['options'][$option_name])?$attributes['options'][$option_name]:'')?>">
                    <?php endif; ?>
                    
                    
                </label>
            <?php endforeach; ?>
        
        <?php if(is_file(ABS_PATH.'includes/networks/'.$network.'/settings.php')){
            include(ABS_PATH.'includes/networks/'.$network.'/settings.php');
        }?>
        </div>
        <?php endforeach; ?>
        <input type="submit" value="<?php _e('Save'); ?>">
        </form>
        <?php $eg->admin_scripts(); ?> 
        <script>
            parent.eg_admin=eg_admin;
            var current_page='network';
        </script>
    </body>
</html>
